Skip to main content
GET
Get user
v1 (legacy). This page documents the API before the v2 update. The v1 format is not enabled for new accounts and must be enabled on your account by your account manager. New integrations should use the current documentation. To update an existing integration, follow the migration guide.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Id of the user to be obtained.

Response

200 - application/json

OK

invoicing
object
individualData
object
businessData
object
createdAt
string

Creation date of the user.

Example:

"2024-05-28T19:08:48.590Z"

type
enum<string>

Type of the user.

Available options:
business,
individual
phoneNumber
string

Phone number of the user.

Example:

"+526589562354"

email
string

Email of the user.

Example:

"testing@rio.trade"

onboarding
object
address
object
id
string

ID of the user.

Example:

"66562bc04fe8bf83c577c178"

platformFeeRanges
object
accumulatedVolumeInUSD
object
attributes
string[]

User attributes

serviceFee
object